using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Wage_Calculator
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void calcGrossPayButton_Click(object sender, EventArgs e)
        {
            // Zmienne.
            int hours;
            double payRate, grossPay;

            // Pobranie danych wprowadzonych przez użytkownika.
            hours = int.Parse(hoursTextBox.Text);
            payRate = double.Parse(payRateTextBox.Text);

            // Obliczenie wynagrodzenia.
            grossPay = hours * payRate;

            // Wyświetlenie obliczonego wynagrodzenia.
            MessageBox.Show("Wynagrodzenie wynosi " + grossPay.ToString("c"));
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
